org.keycloak.forms.login.freemarker.model

## Class IdpReviewProfileBean

- java.lang.Object
- - org.keycloak.forms.login.freemarker.model.AbstractUserProfileBean
  - - org.keycloak.forms.login.freemarker.model.IdpReviewProfileBean

-     public class IdpReviewProfileBean
      extends AbstractUserProfileBean

  Author:
    Vlastimil Elias

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.forms.login.freemarker.model.AbstractUserProfileBean

      `AbstractUserProfileBean.Attribute`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.forms.login.freemarker.model.AbstractUserProfileBean

      `attributes, attributesByName, formData, profile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdpReviewProfileBean(UpdateProfileContext idpCtx, javax.ws.rs.core.MultivaluedMap<String,String> formData, KeycloakSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UserProfile` | `createUserProfile(UserProfileProvider provider)` Create UserProfile instance of the relevant type.
    `protected String` | `getAttributeDefaultValue(String name)` Get attribute default value to be pre-filled into the form on first show.
    `String` | `getContext()` Get context the template is used for, so view can be customized for distinct contexts.

    - ### Methods inherited from class org.keycloak.forms.login.freemarker.model.AbstractUserProfileBean

      `getAttributes, getAttributesByName, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdpReviewProfileBean

          public IdpReviewProfileBean(UpdateProfileContext idpCtx,
                                      javax.ws.rs.core.MultivaluedMap<String,String> formData,
                                      KeycloakSession session)

  - ### Method Detail

    - #### createUserProfile

          protected UserProfile createUserProfile(UserProfileProvider provider)

      Description copied from class: `AbstractUserProfileBean`
      Create UserProfile instance of the relevant type. Is called from `AbstractUserProfileBean.init(KeycloakSession, boolean)`.
      Specified by:
        `createUserProfile` in class `AbstractUserProfileBean`
      Parameters:
        `provider` - to create UserProfile from
      Returns:
        user profile instance

    - #### getAttributeDefaultValue

          protected String getAttributeDefaultValue(String name)

      Description copied from class: `AbstractUserProfileBean`
      Get attribute default value to be pre-filled into the form on first show.
      Specified by:
        `getAttributeDefaultValue` in class `AbstractUserProfileBean`
      Parameters:
        `name` - of the attribute
      Returns:
        attribute default value (can be null)

    - #### getContext

          public String getContext()

      Description copied from class: `AbstractUserProfileBean`
      Get context the template is used for, so view can be customized for distinct contexts.
      Specified by:
        `getContext` in class `AbstractUserProfileBean`
      Returns:
        name of the context

Copyright © 2021 JBoss by Red Hat. All rights reserved.